// Introduction to Processing Workshop
//   http://anthonymattox.com/introduction-to-processing-workshop
// Anthony Mattox  /  http://anthonymattox.com  /  @ahmattox

/* Script 1: Drawing Basic Shapes
   Functions like 'stroke()', 'fill()', and 'strokeWeight()' can be used to
   change the appearance of all subsequent shapes.
   'rect()', 'ellipse()', and other functions draw basic shapes.
   Their position and size are controlled by their parameters. */
   


size(200,200);              // set the size of our application
background(218, 242, 246);  // draw a background color

// drawing a character from basic shapes
stroke(0,0,0);
strokeWeight(3);
fill(227, 179, 0);
rect(50,50,47,42);   // head
noStroke();
fill(0,0,0);
rect(59,69,6,6);     // left eye
rect(85,69,6,6);     // right eye
rect(59,81,32,6);    // mouth
