// Introduction to Processing Workshop
//   http://anthonymattox.com/introduction-to-processing-workshop
// Anthony Mattox  /  http://anthonymattox.com  /  @ahmattox

/* Script 2: Using Variables
   Variables allow you to store data such as numbers or colors which
   you can easily change while the application is running. */

float x = 40;      // define a floating point (decimal) variable 'x'
float y = 40;      // and one for 'y', set them both to 40

size(200,200);
background(218, 242, 246);

stroke(0,0,0);
strokeWeight(3);
fill(227, 179, 0);
rect(x+0,  y+0,  47, 42);  // draw shapes again, but this time relative 
noStroke();                //   to our variables so all the shapes can be
fill(0,0,0);               //   easily moved together
rect(x+9,  y+19,  6,  6);
rect(x+35, y+19,  6,  6);
rect(x+9,  y+31, 32,  6);

// change the values of x and y
x = x+40;
y = y+40;

// run the exact same drawing code and see the difference
stroke(0,0,0);
strokeWeight(3);
fill(227, 179, 0);
rect(x+0,  y+0,  47, 42);
noStroke();
fill(0,0,0);
rect(x+9,  y+19,  6,  6);
rect(x+35, y+19,  6,  6);
rect(x+9,  y+31, 32,  6);
