class RobotFace {
  float x;
  float y;
  float vx;
  float vy;
  float age;
  int munching;
  String mood;
  float faceWidth = 47;
  float faceHeight = 42;
  
  RobotFace(float X, float Y) {
    x = X;
    y = Y;
    age = 0;
    munching = 0;
    mood = "neutral";
    vx = random(-3,3);
    vy = random(-3,3);
  }
  
  void update() {
    age++;
    x = x + vx;
    y = y + vy;
    if (x>width-faceWidth) {
      vx = -abs(vx);
    } else
    if (x<0) {
      vx = abs(vx);
    }
    if (y>height-faceHeight) {
      vy = -abs(vy);
    } else
    if (y<0) {
      vy = abs(vy);
    }
    
    if (mousePressed && mouseX>x && mouseY>y && mouseX<x+faceWidth && mouseY<y+faceHeight) {
      munch();
    }
    else
    if (munching>0) {
      munching--;
    }
  }
  
  void munch() {
    munching = 60;
  }
  
  void render() {
    stroke(0,0,0);
    strokeWeight(3);
    fill(227, 179, 0);
    rect(x+0,  y+0,  47, 42);
    noStroke();
    fill(0,0,0);
    rect(x+9,  y+19,  6,  6);
    rect(x+35, y+19,  6,  6);
    if (munching > 0) {
      float m = (sin(age/3)+1)*5+3;
      rect(x+9,  y+34 - m/2, 32, m );
    } else {
      rect(x+9,  y+31, 32,  6);
    }
  }
}
